package cn.superdesk.uniorder.dubbo.facade.sys.logger;


import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.sys.logger.SysMonitorFunctionLog;
import cn.superdesk.uniorder.dto.param.system.logger.SysMonitorFunctionLogParam;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description: 监控日志
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-07-05 16:35:25
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-07-05 16:35:25
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboSysMonitorFunctionLogService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(SysMonitorFunctionLogParam param);

	@Deprecated
	void updateObj(SysMonitorFunctionLogParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	SysMonitorFunctionLog findById(Long id);

	@Deprecated
	PageInfo<SysMonitorFunctionLog> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<SysMonitorFunctionLog> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addSysMonitorFunctionLog(SysMonitorFunctionLogParam param);

	void updateSysMonitorFunctionLog(SysMonitorFunctionLogParam param);

	void deleteSysMonitorFunctionLog(Long id);

	SysMonitorFunctionLog findSysMonitorFunctionLogById(Long id);

	R<List<SysMonitorFunctionLog>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);
}
